#include <string.h>
#include <stdio.h>
#include <stdlib.h>

void dead () {
  printf("I will never be printed!\n");
  exit(1);
}

void foo(char *bar) {
  char buffer[8];
  strcpy(buffer, bar);
}

int main(int argc, char **argv) {
  foo(argv[1]);
  return 1;
}




